package com.foc;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;

public interface TaskSupporter {
    
    public String setBaseUrl(TaskTemplate taskTemplate);
    
    public Map<String,String> setParams();
    
    public void successHandle(JSONObject result);

    public String setPageIndexProperty();
    
    public boolean isGet();
    
    public boolean isPost();
    
    public String getApiName();

    public boolean finish();
}
